* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Roboto', sans-serif;
}

.contenedor {
  background: #ccc;
  width: 100%;
  max-width: 1000%;
  margin: auto;
  /* Flexbox */
  display: flex;
  flex-flow: row wrap;
}

a {
  text-decoration: none;
  color: #fff;
  font-size: 20px;
}

body {
  background: #e9e9e9;
}

header {
  width: 100%;
  padding: 20px;
  /* Flexbox */
  background-image: linear-gradient(to bottom, rgba(224, 144, 24, 0.52), rgba(34, 23, 2, 0.73)), url(../img/header.jpg);
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-direction: row;
  flex-wrap: wrap;
}

header img {
  width: 150px;
}

/*header */
nav {
  width: 100%;
  /* Flexbox */
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}

.agotado {
  color:rgb(204, 56, 56);
}

/*header  */
nav a {
  background: #c0392b;
  color: #fff;
  text-align: center;
  text-decoration: none;
  padding: 10px;
  /* Flexbox */
  flex-grow: 1;
}

/*header */
nav a:hover {
  background: #e74c3c;
}

.main {
  background: #fff;
  padding: 1px;
  flex: 1 1 70%;
  /*flex:1;*/
}

article p {
  padding: 2%;
  margin-bottom: -1%;
}

article h2 {
  margin-top: -2%;
  margin-bottom: -2.5%;
  padding: 2%;
}

/*Caja de color*/
.color {
  background-color: #34495e;
  margin-bottom: 1%;
  color: #fff;
}

.color-second {
  background-color: #34495e;
  color: #fff;
  -webkit-box-shadow: inset 0px 10px 5px 0px rgba(0, 0, 0, 0.25);
  -moz-box-shadow: inset 0px 10px 5px 0px rgba(0, 0, 0, 0.25);
  box-shadow: inset 0px 10px 0px 0px rgba(0, 0, 0, 0.25);
}

/* slider */
.slider {
  width: 100%;
  margin: auto;
  overflow: hidden;
  margin-top: -10%;
  /*degradao*/
}

.slider ul {
  display: flex;
  padding: 0;
  width: 400%;
  animation: cambio 20s infinite alternate linear;
}

.slider li {
  width: 100%;
  list-style: none;
}

.slider img {
  width: 100%;
  height: 100%;
  padding: 10%;
}

@keyframes cambio {
  0% {
    margin-left: 0;
  }

  20% {
    margin-left: 0;
  }

  25% {
    margin-left: -100%;
  }

  45% {
    margin-left: -100%;
  }

  50% {
    margin-left: -200%;
  }

  70% {
    margin-left: -200%;
  }

  75% {
    margin-left: -300%;
  }

  100% {
    margin-left: -300%;
  }
}

/* fin del slider */
/*BLOQUE DE IMAHGEN CON TEXTO*/
.container-portada {
  width: 100%;
  max-width: 100%;
  height: 400px;
  position: relative;
  background-image: url(../img/sneeks.jpeg);
  background-size: 100%;
  /*flexbox*/
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  margin-bottom: -1%;
  -webkit-box-shadow: 0px 10px 5px 0px rgba(0, 0, 0, 0.25);
  -moz-box-shadow: 0px 10px 5px 0px rgba(0, 0, 0, 0.25);
  box-shadow: 0px 10px 5px 0px rgba(0, 0, 0, 0.25);
}

.capa-gradient {
  width: 100%;
  max-width: 100%;
  height: 100%;
  position: absolute;
  background: -webkit-linear-gradient(#3d3504c2, #e67e22);
  opacity: 1;
}

.container-details {
  width: 100%;
  max-width: 1200px;
  position: relative;
  margin: auto;
}

.details {
  width: 100%;
  max-width: 500px;
  position: relative;
  top: 20px;
  color: white;
}

.details h1 {
  font-size: 40px;
  font-weight: 100;
  margin-left: 10px;
}

.details p {
  margin-top: 10px;
  font-size: 20px;
  text-align: justify;
  font-weight: 100;
  margin-left: 10px;
}

.details button {
  padding: 10px 20px;
  font-size: 16px;
  background: none;
  border-style: none;
  border: 1px solid white;
  color: white;
  margin-top: 20px;
  transition: background 300ms;
  cursor: pointer;
  margin-left: 10px;
}

.details button:hover {
  background: white;
  color: black;
}

/*FIN DEL BLOQUE DE IMAHGEN CON TEXTO*/
.main article {
  margin-bottom: 20px;
  padding-bottom: 20px;
}

.main article:nth-last-child(1) {
  margin-bottom: 0;
  padding-bottom: 0;
  border-bottom: none;
}

article .imagen img {
  max-width: 100%;
}

article .imagen {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
}

.imagen img {
  max-width: 100%;
}

aside {
  background: #e67e22;
  padding: 20px;
  /*FLEX*/
  flex: 1 1 30%;
  /*flex:0 0 300px;*/
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  justify-content: flex-start;
}

aside .widget {
  background: #d35400;
  height: 150px;
  margin: 10px;
}

footer {
  background: #2c3e50;
  width: 100%;
  padding: 30px;
  /* Flexbox */
  display: flex;
  justify-content: center;
}

footer h3 {
  color: aliceblue;
}

#cerrar_sesion {
  background: #52310B;
  border-radius: 1px;
  border: 2px solid #f2f2f2;
  margin-bottom: 20px;
  color: #fff;
  cursor: pointer;
  display: inline-block;
  font-size: 16px;
  padding: 15px;
  width: 100%;
  -webkit-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
}

#cerrar_sesion:hover {
  background: #c0392b;
}

@media screen and (max-width: 800px) {
  article .imagen img {
    width: 100%;
  }

  .contenedor {
    flex-direction: column;
  }

  header {
    flex-direction: column;
    padding: 0;
  }

  header .logo {
    margin: 20px 0;
  }

  header nav {
    width: 100%;
  }

  aside {
    flex-direction: row;
    flex: 0;
  }

  aside .widget {
    flex-grow: 1;
  }
}

@media screen and (max-width: 600px) {
  aside {
    flex-direction: column;
  }

  footer {
    justify-content: space-around;
  }
}

@media screen and (max-width: 500px) {
  .details p {
    font-size: 18px;
  }
}
